# NodeDebugInfo

Class in [Yarn.Compiler](/3.1/api/csharp/yarn.compiler.md)

Inherits from `System.Object`

## Summary

Contains debug information for a node in a Yarn file.

```csharp
public class NodeDebugInfo
```

## Constructors

| Name                                                                                                                            | Description                                            |
| ------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------ |
| [NodeDebugInfo(string?,string)](/3.1/api/csharp/yarn.compiler/yarn.compiler.nodedebuginfo/yarn.compiler.nodedebuginfo..ctor.md) | Initialises a new instance of the NodeDebugInfo class. |

## Methods

| Name                                                                                                                     | Description                                                                                                                                                                                             |
| ------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [GetLineInfo(int)](/3.1/api/csharp/yarn.compiler/yarn.compiler.nodedebuginfo/yarn.compiler.nodedebuginfo.getlineinfo.md) | Gets a [LineInfo](/3.1/api/csharp/yarn.compiler/yarn.compiler.nodedebuginfo/yarn.compiler.nodedebuginfo.lineinfo.md) object that describes the specified instruction at the index `instructionNumber` . |

## Properties

| Name                                                                                                              | Description                                                                    |
| ----------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------ |
| [FileName](/3.1/api/csharp/yarn.compiler/yarn.compiler.nodedebuginfo/yarn.compiler.nodedebuginfo.filename.md)     | Gets or sets the file that this DebugInfo was produced from.                   |
| [IsImplicit](/3.1/api/csharp/yarn.compiler/yarn.compiler.nodedebuginfo/yarn.compiler.nodedebuginfo.isimplicit.md) | Gets or sets a value indicating whether this node was created by the compiler. |
| [NodeName](/3.1/api/csharp/yarn.compiler/yarn.compiler.nodedebuginfo/yarn.compiler.nodedebuginfo.nodename.md)     | Gets or sets the node that this DebugInfo was produced from.                   |
| [Range](/3.1/api/csharp/yarn.compiler/yarn.compiler.nodedebuginfo/yarn.compiler.nodedebuginfo.range.md)           | The range in the file in which the node appears.                               |

## Structs

| Name                                                                                                          | Description                                           |
| ------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------- |
| [LineInfo](/3.1/api/csharp/yarn.compiler/yarn.compiler.nodedebuginfo/yarn.compiler.nodedebuginfo.lineinfo.md) | Contains positional information about an instruction. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.compiler/yarn.compiler.nodedebuginfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
